Bug 202210 - Errorneously detected perl provides
Errorneously detected perl provides
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All All
medium Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
bzcl34nup
: FutureFeature, Reopened
Depends On:
Blocks: 197460
  Show dependency treegraph
 
Reported: 2006-08-11 12:07 EDT by Stepan Kasal
Modified: 2015-03-20 06:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-20 06:35:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stepan Kasal 2006-08-11 12:07:12 EDT
The automatic provides can contain false positives.  For a real-life example,
see bug #197460.

The problem can be demonstrated like this:
$ yum install libgtk-java
...
$ /usr/lib/rpm/perl.prov
/usr/share/doc/libgtk-java-2.8.5/examples/packbox/Packbox.java
perl(packbox)
$ /usr/lib/rpm/perldeps.pl --provides
/usr/share/doc/libgtk-java-2.8.5/examples/packbox/Packbox.java
perl(packbox)

Two ideas came to my mind:

1) When detecting provides, *.java files should be skipped. (Or, more generally,
perl.prov, perl.req, and perldep.pl should silently skip obvious non-perl files.)
2) The automatic provides/requires mechanism should ignore %doc files.  (The
package should work even if it is installed without the documentation.)

IMHO both of the above should be implemented.
Comment 1 Paul Nasrat 2006-08-11 13:39:47 EDT
Are the .java files marked as +x, if so  then they probably should be installed
as 644 which will cause the automatic provides/requires to be skipped.

This sounds like a packaging bug with the examples, as unlike example scripts
.java files are not executable so should never be marked as such.
Comment 2 Stepan Kasal 2006-08-13 15:36:45 EDT
The *.java files do not have +x flag set.

The spec file contains:
%files
%doc doc/examples

and the _directory_ doc/examples has +x set, of course.

This might trigger the bug...
Comment 3 Paul Nasrat 2006-08-16 14:20:33 EDT
OK the problem actually may lie in the fact 

file /usr/share/doc/libgtk-java-2.8.6/examples/packbox/Packbox.java
/usr/share/doc/libgtk-java-2.8.6/examples/packbox/Packbox.java: Perl5 module
source text

As the files start with

I'll try figure if we can work around here.
Comment 4 Red Hat Bugzilla 2007-08-21 01:24:44 EDT
User pnasrat@redhat.com's account has been closed
Comment 5 Panu Matilainen 2007-08-22 02:33:34 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 6 Bug Zapper 2008-04-03 13:56:35 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Chris Weyl 2008-04-05 17:36:13 EDT
AFAIK this bug is still valid -- rpm's perl autoprov/dep generators are still a
touch off in certain situations.
Comment 8 John Poelstra 2008-04-29 18:25:39 EDT
thanks for your update
Comment 9 Bug Zapper 2008-05-13 22:16:51 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-06-09 18:15:18 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-11-16 02:52:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Marcela Mašláňová 2011-03-24 10:00:27 EDT
I suppose this is bug in packaging. According to our guidelines documentation must be non-executable. Even tests must be non-executable if they are installed as documentation. Therefore it is not scanned for requires.
Comment 13 Fedora Admin XMLRPC Client 2012-04-13 19:12:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 14 Fedora Admin XMLRPC Client 2012-04-13 19:14:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 15 Florian Festi 2015-03-20 06:35:05 EDT
Oh dear! This is ancient. Guess the overall situation has not improved that much. But without a concreate, contemporary case nothing is going to happen. Closing now.

Note You need to log in before you can comment on or make changes to this bug.